Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockRenderKit

    java.lang.Object
      javax.faces.render.RenderKit
          org.jboss.seam.mock.MockRenderKit

    public class MockRenderKit

extends javax.faces.render.RenderKit

Field Summary
`static MockRenderKit` | `INSTANCE`

Constructor Summary
`MockRenderKit()`

Method Summary
`void` | `addRenderer(String x, String y, javax.faces.render.Renderer renderer)`
`javax.faces.context.ResponseStream` | `createResponseStream(OutputStream stream)`
`javax.faces.context.ResponseWriter` | `createResponseWriter(Writer writer, String x, String y)`
`javax.faces.render.Renderer` | `getRenderer(String x, String y)`
`javax.faces.render.ResponseStateManager` | `getResponseStateManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MockRenderKit INSTANCE

Constructor Detail

### MockRenderKit

    public MockRenderKit()

Method Detail

### addRenderer

    public void addRenderer(String x,
                            String y,
                            javax.faces.render.Renderer renderer)

  Specified by:
    `addRenderer` in class `javax.faces.render.RenderKit`

### getRenderer

    public javax.faces.render.Renderer getRenderer(String x,
                                                   String y)

  Specified by:
    `getRenderer` in class `javax.faces.render.RenderKit`

### getResponseStateManager

    public javax.faces.render.ResponseStateManager getResponseStateManager()

  Specified by:
    `getResponseStateManager` in class `javax.faces.render.RenderKit`

### createResponseWriter

    public javax.faces.context.ResponseWriter createResponseWriter(Writer writer,
                                                                   String x,
                                                                   String y)

  Specified by:
    `createResponseWriter` in class `javax.faces.render.RenderKit`

### createResponseStream

    public javax.faces.context.ResponseStream createResponseStream(OutputStream stream)

  Specified by:
    `createResponseStream` in class `javax.faces.render.RenderKit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD